NegociationHandler (Tomcat API Documentation)
Keywords: org.apache.ajp.NegociationHandler class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ajp
Class NegociationHandler

    java.lang.Object
      org.apache.ajp.AjpHandler
          org.apache.ajp.NegociationHandler

public class NegociationHandler
extends AjpHandler

Handler for the protocol negotiation. It will authenticate and exchange information about supported messages on each end.

Author:
  Henri Gomez [hgomez@apache.org], Dan Milstein [danmil@shore.net], Keith Wannamaker [Keith@Wannamaker.org], Costin Manolache

Field Summary
`static int` | `AJP14_BAD_KEY_ERR`
`static int` | `AJP14_COMPUTED_KEY_LEN`
`static byte` | `AJP14_CONTEXT_DOWN`
`static int` | `AJP14_CONTEXT_INFO_NEG`
`static byte` | `AJP14_CONTEXT_OK`
`static byte` | `AJP14_CONTEXT_UP`
`static int` | `AJP14_CONTEXT_UPDATE_NEG`
`static int` | `AJP14_DES56_STREAM_NEG`
`static int` | `AJP14_ENGINE_DOWN_ERR`
`static int` | `AJP14_ENTROPY_SEED_LEN`
`static int` | `AJP14_GZIP_STREAM_NEG`
`static int` | `AJP14_PROTO_SUPPORT_AJP14_NEG`
`static int` | `AJP14_PROTO_SUPPORT_AJP15_NEG`
`static int` | `AJP14_PROTO_SUPPORT_AJP16_NEG`
`static int` | `AJP14_PROTO_SUPPORT_AJPXX_NEG`
`static int` | `AJP14_RETRY_LATER_ERR`
`static int` | `AJP14_SHUT_AUTHOR_FAILED_ERR`
`static int` | `AJP14_SSL_VCLIENT_NEG`
`static int` | `AJP14_SSL_VCRYPTO_NEG`
`static int` | `AJP14_SSL_VMISC_NEG`
`static int` | `AJP14_SSL_VSERVER_NEG`
`static byte` | `JK_AJP14_CONTEXT_INFO_CMD`
`static byte` | `JK_AJP14_CONTEXT_QRY_CMD`
`static byte` | `JK_AJP14_CONTEXT_STATE_CMD`
`static byte` | `JK_AJP14_CONTEXT_STATE_REP_CMD`
`static byte` | `JK_AJP14_CONTEXT_UPDATE_CMD`
`static byte` | `JK_AJP14_LOGCOMP_CMD`
`static byte` | `JK_AJP14_LOGINIT_CMD`
`static byte` | `JK_AJP14_LOGNOK_CMD`
`static byte` | `JK_AJP14_LOGOK_CMD`
`static byte` | `JK_AJP14_LOGSEED_CMD`
`static byte` | `JK_AJP14_SHUTDOWN_CMD`
`static byte` | `JK_AJP14_SHUTNOK_CMD`
`static byte` | `JK_AJP14_SHUTOK_CMD`
`static byte` | `JK_AJP14_STATUS_CMD`
`static byte` | `JK_AJP14_UNKNOW_PACKET_CMD`

Fields inherited from class org.apache.ajp.AjpHandler
`UNKNOWN`

Constructor Summary
`NegociationHandler()`

Method Summary
`java.lang.String` | `digest(java.lang.String[] credentials, java.lang.String algorithm)` Compute a digest (MD5 in AJP14) for an array of String
`java.lang.String` | `getPassword()` Get the secret password
`java.lang.String` | `getSeed()` Get the original entropy seed
`int` | `handleAjpMessage(int type, Ajp13 ch, Ajp13Packet hBuf, BaseRequest req)` Execute the callback
`void` | `init(Ajp13 ajp14)`
`void` | `setContainerSignature(java.lang.String s)`
`void` | `setPassword(java.lang.String ppwd)` Set the secret password
`void` | `setSeed(java.lang.String pseed)` Set the original entropy seed

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JK_AJP14_LOGINIT_CMD

    public static final byte JK_AJP14_LOGINIT_CMD

See Also:
  Constant Field Values

### JK_AJP14_LOGSEED_CMD

    public static final byte JK_AJP14_LOGSEED_CMD

See Also:
  Constant Field Values

### JK_AJP14_LOGCOMP_CMD

    public static final byte JK_AJP14_LOGCOMP_CMD

See Also:
  Constant Field Values

### JK_AJP14_LOGOK_CMD

    public static final byte JK_AJP14_LOGOK_CMD

See Also:
  Constant Field Values

### JK_AJP14_LOGNOK_CMD

    public static final byte JK_AJP14_LOGNOK_CMD

See Also:
  Constant Field Values

### JK_AJP14_CONTEXT_QRY_CMD

    public static final byte JK_AJP14_CONTEXT_QRY_CMD

See Also:
  Constant Field Values

### JK_AJP14_CONTEXT_INFO_CMD

    public static final byte JK_AJP14_CONTEXT_INFO_CMD

See Also:
  Constant Field Values

### JK_AJP14_CONTEXT_UPDATE_CMD

    public static final byte JK_AJP14_CONTEXT_UPDATE_CMD

See Also:
  Constant Field Values

### JK_AJP14_STATUS_CMD

    public static final byte JK_AJP14_STATUS_CMD

See Also:
  Constant Field Values

### JK_AJP14_SHUTDOWN_CMD

    public static final byte JK_AJP14_SHUTDOWN_CMD

See Also:
  Constant Field Values

### JK_AJP14_SHUTOK_CMD

    public static final byte JK_AJP14_SHUTOK_CMD

See Also:
  Constant Field Values

### JK_AJP14_SHUTNOK_CMD

    public static final byte JK_AJP14_SHUTNOK_CMD

See Also:
  Constant Field Values

### JK_AJP14_CONTEXT_STATE_CMD

    public static final byte JK_AJP14_CONTEXT_STATE_CMD

See Also:
  Constant Field Values

### JK_AJP14_CONTEXT_STATE_REP_CMD

    public static final byte JK_AJP14_CONTEXT_STATE_REP_CMD

See Also:
  Constant Field Values

### JK_AJP14_UNKNOW_PACKET_CMD

    public static final byte JK_AJP14_UNKNOW_PACKET_CMD

See Also:
  Constant Field Values

### AJP14_ENTROPY_SEED_LEN

    public static final int AJP14_ENTROPY_SEED_LEN

See Also:
  Constant Field Values

### AJP14_COMPUTED_KEY_LEN

    public static final int AJP14_COMPUTED_KEY_LEN

See Also:
  Constant Field Values

### AJP14_CONTEXT_INFO_NEG

    public static final int AJP14_CONTEXT_INFO_NEG

See Also:
  Constant Field Values

### AJP14_CONTEXT_UPDATE_NEG

    public static final int AJP14_CONTEXT_UPDATE_NEG

See Also:
  Constant Field Values

### AJP14_GZIP_STREAM_NEG

    public static final int AJP14_GZIP_STREAM_NEG

See Also:
  Constant Field Values

### AJP14_DES56_STREAM_NEG

    public static final int AJP14_DES56_STREAM_NEG

See Also:
  Constant Field Values

### AJP14_SSL_VSERVER_NEG

    public static final int AJP14_SSL_VSERVER_NEG

See Also:
  Constant Field Values

### AJP14_SSL_VCLIENT_NEG

    public static final int AJP14_SSL_VCLIENT_NEG

See Also:
  Constant Field Values

### AJP14_SSL_VCRYPTO_NEG

    public static final int AJP14_SSL_VCRYPTO_NEG

See Also:
  Constant Field Values

### AJP14_SSL_VMISC_NEG

    public static final int AJP14_SSL_VMISC_NEG

See Also:
  Constant Field Values

### AJP14_PROTO_SUPPORT_AJPXX_NEG

    public static final int AJP14_PROTO_SUPPORT_AJPXX_NEG

See Also:
  Constant Field Values

### AJP14_PROTO_SUPPORT_AJP14_NEG

    public static final int AJP14_PROTO_SUPPORT_AJP14_NEG

See Also:
  Constant Field Values

### AJP14_PROTO_SUPPORT_AJP15_NEG

    public static final int AJP14_PROTO_SUPPORT_AJP15_NEG

See Also:
  Constant Field Values

### AJP14_PROTO_SUPPORT_AJP16_NEG

    public static final int AJP14_PROTO_SUPPORT_AJP16_NEG

See Also:
  Constant Field Values

### AJP14_BAD_KEY_ERR

    public static final int AJP14_BAD_KEY_ERR

See Also:
  Constant Field Values

### AJP14_ENGINE_DOWN_ERR

    public static final int AJP14_ENGINE_DOWN_ERR

See Also:
  Constant Field Values

### AJP14_RETRY_LATER_ERR

    public static final int AJP14_RETRY_LATER_ERR

See Also:
  Constant Field Values

### AJP14_SHUT_AUTHOR_FAILED_ERR

    public static final int AJP14_SHUT_AUTHOR_FAILED_ERR

See Also:
  Constant Field Values

### AJP14_CONTEXT_DOWN

    public static final byte AJP14_CONTEXT_DOWN

See Also:
  Constant Field Values

### AJP14_CONTEXT_UP

    public static final byte AJP14_CONTEXT_UP

See Also:
  Constant Field Values

### AJP14_CONTEXT_OK

    public static final byte AJP14_CONTEXT_OK

See Also:
  Constant Field Values

Constructor Detail

### NegociationHandler

    public NegociationHandler()

Method Detail

### setContainerSignature

    public void setContainerSignature(java.lang.String s)

### setSeed

    public void setSeed(java.lang.String pseed)

  Set the original entropy seed

### getSeed

    public java.lang.String getSeed()

  Get the original entropy seed

### setPassword

    public void setPassword(java.lang.String ppwd)

  Set the secret password

### getPassword

    public java.lang.String getPassword()

  Get the secret password

### init

    public void init(Ajp13 ajp14)

  Overrides:
    `init` in class `AjpHandler`

### handleAjpMessage

    public int handleAjpMessage(int type,
                                Ajp13 ch,
                                Ajp13Packet hBuf,
                                BaseRequest req)
                         throws java.io.IOException

  Description copied from class: `AjpHandler`
  Execute the callback

  Overrides:
    `handleAjpMessage` in class `AjpHandler`
  Throws:
    `java.io.IOException`

### digest

    public final java.lang.String digest(java.lang.String[] credentials,
                                         java.lang.String algorithm)

  Compute a digest (MD5 in AJP14) for an array of String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.